Subject: Re: [PATCH net-next] qrtr: move to staging

From: Manivannan Sadhasivam <[email-masked]>
Date: Mon, 29 Mar 2021 16:37:41 +0530

On Mon, Mar 29, 2021 at 01:03:24PM +0200, Greg Kroah-Hartman wrote:
> On Mon, Mar 29, 2021 at 04:22:36PM +0530, Manivannan Sadhasivam wrote:
> > Hi Greg,
> > 
> > On Mon, Mar 29, 2021 at 11:47:12AM +0200, Loic Poulain wrote:
> > > Hi Greg,
> > > 
> > > On Sun, 28 Mar 2021 at 14:28, Greg Kroah-Hartman <[email-masked]>
> > > wrote:
> > > 
> > > > There does not seem to be any developers willing to maintain the
> > > > net/qrtr/ code, so move it to drivers/staging/ so that it can be removed
> > > > from the kernel tree entirely in a few kernel releases if no one steps
> > > > up to maintain it.
> > > >
> > > > Reported-by: Matthew Wilcox <[email-masked]>
> > > > Cc: Du Cheng <[email-masked]>
> > > > Signed-off-by: Greg Kroah-Hartman <[email-masked]>
> > > >
> > > 
> > > As far as I know, QRTR/IPCR is still commonly used with Qualcomm-based
> > > platforms for accessing various components of the SoC.
> > > CCing Bjorn and Mani, In case they are interested in taking maintenance of
> > > that.
> > > 
> > 
> > As Loic said, QRTR is an integral component used in various Qualcomm based
> > upstream supported products like ChromeOS, newer WLAN chipsets (QCA6390) etc...
> > 
> > It is unfortunate that no one stepped up so far to maintain it. After
> > having an internal discussion, I decided to pitch in as a maintainer. I'll
> > send the MAINTAINERS change to netdev list now.
> 
> Great, can you also fix up the reported problems with the codebase that
> resulted in this "ask for removal"?
> 

Yes, ofc. I do see couple of Syzbot bug reports now... I will look into them.
It turned out I fixed one of them earlier but should've handled all :)

Thanks,
Mani

> thanks,
> greg k-h